curl --request GET \
--url https://api.buttercms.com/v2/feeds/rss/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.buttercms.com/v2/feeds/rss/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.buttercms.com/v2/feeds/rss/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
RSS Feed
Generate a compliant RSS 2.0 XML feed for blog content with filtering options for targeted content syndication.
Authorizations
Set the Authorization header to Token your_read_api_token.
Example: Authorization: Token abc123def456
Note: The header value includes the Token prefix.
You can access your API token from your settings page.
Query Parameters
Your ButterCMS read API token
Filter the RSS feed to include only posts from a specific category.
Provide the URL-friendly slug of the category. When specified, only blog posts assigned to this category will be included in the RSS feed.
Filter the RSS feed to include only posts with a specific tag.
Provide the URL-friendly slug of the tag. When specified, only blog posts tagged with this tag will be included in the RSS feed.
Return only posts in the given locale (e.g. en, es) in the feed. When omitted, defaults to your organization's default locale.
Returns 400 if the value is not a locale configured on your organization.
10Response
RSS feed generated successfully
Complete RSS 2.0 XML feed with blog posts
Was this page helpful?